# 根据构建类型设置不同的库
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    # Debug 模式链接调试库
    target_link_libraries(VideoClient 
	PRIVATE
        		Qt::Core
        		Qt::Widgets
		${CMAKE_CURRENT_LIST_DIR}/QNotify/lib/QNotifyd.lib)
elseif(CMAKE_BUILD_TYPE STREQUAL "Release")
    # Release 模式链接发布库
    target_link_libraries(VideoClient 
	PRIVATE
        		Qt::Core
        		Qt::Widgets
		${CMAKE_CURRENT_LIST_DIR}/QNotify/lib/QNotify.lib)
endif()

target_include_directories(VideoClient
PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}/QNotify/include
)